ptree(1)

NAME
ptree - Prints a graphic representation of an ASIS tree with corresponding source

SYNOPSIS

ptree [-sS] [-p project-file] unit[:line-number[:column-number]] [-- ASIS options]

ptree -h

DESCRIPTION
ptree is a companion program to adactl(1). Commercial support is available for AdaControl, see file /usr/share/doc/adacontrol/support.txt. If you plan to use AdaControl for industrial projects, or if you want it to be customized or extended to match your own needs, please contact Adalog at info@adalog.fr.

OPTIONS

-h  Prints a general help message.

-s  Only process the specification of unit; the default is to process the specification and body.

-S  Print the span of each element.

line-number
    Only display entities declared on that line.

line-number:column-number
    Only display the entity at that line and column, if any.

AUTHOR
AdaControl was developed by under contract with The copyright is jointly owned by Adalog and Eurocontrol. This manual page was written by Ludovic Brenta <lbrenta@debian.org> for the Debian project, but it can be used for other purposes as well.

SEE ALSO
adactl(1) AdaControl User's Guide, available in Info, PDF, and HTML in /usr/share/doc/adacontrol. AdaControl Programmer's Guide, available in Info, PDF, and HTML in /usr/share/doc/adacontrol.